Installation

geosnap supports python >`3.5`_. Please make sure that you are operating in a python 3 environment.

Installing a released version

geosnap is available on both conda and pip, and can be installed with either

conda install -c conda-forge geosnap

or

pip install geosnap

Installing development version

The recommended method for installing geosnap is with anaconda. To get started with the development version, clone this repository or download it manually then cd into the directory and run the following commands:

$ conda env create -f environment.yml
$ source activate geosnap
$ python setup.py develop

You can also fork the spatialucr/geosnap repo and create a local clone of your fork. By making changes to your local clone and submitting a pull request to spatialucr/geosnap, you can contribute to the geosnap development.